网站空间不支持php5.4的解决方法?

eechen的粉丝 发布于 2015/03/16 22:08
阅读 1K+
收藏 0
PHP
 因为备案问题,网站要从公司阿里云Linux服务器转移到网建公司的Windows虚拟主机,网建公司是php5.2,但是我们程序使用了命名空间和PHP5.4的特性,网建公司不愿意升级, 还说服务器上别人PHP程序跑了好多年都没事,你们的这还有问题?
加载中
2
leo108
leo108

为何不把备案转入到阿里云?

另外一个解决方案是,虚拟主机那里写一个反向代理的程序,把用户请求转发到阿里云,阿里云那边开8080端口服务,这样就可以绕过备案检查了

eechen的粉丝
eechen的粉丝
各种原因吧
0
zn123
zn123
没办法 要么你改要么他改
0
土拨鼠
土拨鼠
果断不用,这些公司太懒了,也不升级,太不安全了,只要懂一些黑客知识,服务器是很容易被黑的。我曾经给别人建站购买的虚拟主机,当然,别人不愿掏钱,也就花小钱买的虚机,没过多久,都被挂马了。(空间基本上都是大的虚拟主机厂商)
0
金拱门
金拱门

还用5.2的公司而且还理直气壮地不去解决问题,可见他们是多么不重视技术啊

0
eechen
eechen
就算用的是Windows Server 2003也应该提供有PHP5.4的支持吧,只支持5.2,这样的虚拟主机提供商在安全性上就不值得托付。
eechen
eechen
通过Nginx支持,也可以实现多版本Apache(PHP). Nginx可以根据server_name用proxy_pass反向代理请求给后端的Apache(PHP). 不同版本的Apache(PHP)监听不同的端口,就可以实现一台服务器支持多版本PHP运行.
0
本源
本源
我还想往阿里云上转呢,你们转出了
0
吉姆测试机
吉姆测试机
国外免费的空间都5.4了吧。。。
0
甘薯
甘薯

我现在用的空间就是5.4.38, 是5.4版本最后一个稳定版本,

空间在香港也不需要备案, 关键是速度暴快, 稳定,便宜.

为了避免别人说我做广告就不说名字了, 反正比阿里云还是什么网建的性价比不知道高多少, 划算多了.

甘薯
甘薯
回复 @yuligang1234 : 嘿嘿, 这也是我为啥选择php而不是java或者.NET做我目前的项目的原因, 就是因为空间好找啊... 哈哈哈.
yuligang1234
yuligang1234
回复 @甘薯 : 淡淡的忧伤,都没有.net的!!!
甘薯
甘薯
回复 @yuligang1234 : 网址的话, 我因为还没有申请域名没有开放出来所以目前用临时域名而且需要登录, 所以暂时无法提供, 那家服务商是浪点主机, 你可以申请三天的使用,使用不收取任何费用,你肯定会满意的.别说我做广告啊, 我可是一点好处都没有, 本来可以通过推荐链接收一点好处费的.
甘薯
甘薯
回复 @yuligang1234 : 是虚拟空间 只能存放php和mysql, php和mysql和用空间容量.配置的内存是512M, 速度很快.
yuligang1234
yuligang1234
回复 @甘薯 : 网址,你那个是虚拟主机还是服务器?
下一页
返回顶部
顶部